const webpack = require('webpack');
const path = require('path');

module.exports = {
  entry: { 'calendar-preact': [ './calendar-preact.js' ] },
  context: __dirname,
  output: {
    path: __dirname,
    filename: './[name].min.js'
  },
  resolve: {
    alias: {
      react: './preact-react.js'
    }
  },
  devtool: 'source-map',
  module: {
    rules: [
      {
        test: /.jsx?$/,
        loader: 'babel-loader',
        exclude: /node_modules/
      }
    ]
  },
  plugins: [
    new webpack.DefinePlugin({
      "process.env": {
         NODE_ENV: JSON.stringify(process.env.NODE_ENV || "production")
       }
    })
  ]
};
